Skip to main content
GET
List schedules

Authorizations

Authorization
string
header
required

An API key from Settings, API keys. It starts with rc_live_.

Query Parameters

limit
integer
default:25

How many to return. 25 unless you say, 100 at most.

Required range: 1 <= x <= 100
offset
integer
default:0

How many to skip, for the next page.

Required range: x >= 0
sort
enum<string>
default:starts_at
Available options:
starts_at,
ends_at,
name,
status,
event_kind,
created_at,
updated_at
dir
enum<string>
default:asc
Available options:
asc,
desc
status
enum<string>

One status. A draft schedule is not shown on the calendar.

Available options:
draft,
scheduled,
active,
completed,
cancelled
event_kind
enum<string>

One kind.

Available options:
adoption,
fundraiser,
clinic,
transport,
training,
meeting,
events,
other
location_unit_id
string

Schedules at one location.

from
string

Schedules that start on or after this date, or date and time.

to
string

Schedules that start on or before this date, or date and time.

name
string

The name contains this text.

description
string

The description contains this text.

all_day
enum<string>
Available options:
yes,
no
ends_at_from
string

Schedules that end on or after this.

ends_at_to
string

Schedules that end on or before this.

created_at_from
string
created_at_to
string
updated_at_from
string
updated_at_to
string

Response

One page of schedules.

results
object[]
required
limit
integer
required
offset
integer
required
has_more
boolean
required

Whether there is another page after this one.

total
integer
required

How many schedules match in all.